import { HTMLProps } from 'react';
import { ContainerProps } from '../container/container.types';
import { RipplePropsForComponents } from '../ripple/ripple.types';

export interface CardProps extends ContainerProps {}

export interface CardActionAreaProps
    extends RipplePropsForComponents<HTMLDivElement> {
    ripples?: boolean;
}

export interface CardMediaProps extends HTMLProps<CardMediaType> {
    rounded?: boolean;
    type: 'img' | 'video' | 'picture' | 'iframe' | 'audio';
}

export type CardMediaType =
    | HTMLImageElement
    | HTMLVideoElement
    | HTMLPictureElement
    | HTMLIFrameElement
    | HTMLAudioElement;
